Package org.apache.torque.generator.configuration.controller

## Class ControlConfiguration

- java.lang.Object
- - org.apache.torque.generator.configuration.controller.ControlConfiguration

-     public class ControlConfiguration
      extends Object

  Represents the control configuration of a generation unit.
  Version:
    $Id: ControlConfiguration.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControlConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EntityReferences` | `getEntityReferences()` | Returns the entity references.
    `Loglevel` | `getLoglevel()` | Returns the loglevel during generation.
    `List<OptionsConfiguration>` | `getOptionsConfigurations()` | Returns all options configurations.
    `List<Output>` | `getOutputFiles()` | Returns all output files.
    `void` | `setLoglevel​(Loglevel loglevel)` | Set the loglevel during generation.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlConfiguration

          public ControlConfiguration()

  - ### Method Detail

    - #### getOutputFiles

          public List<Output> getOutputFiles()

      Returns all output files.
      Returns:
        an unmodifiable list of output files, not null.

    - #### getOptionsConfigurations

          public List<OptionsConfiguration> getOptionsConfigurations()

      Returns all options configurations.
      Returns:
        a unmodifiable list of option configurations, not null.

    - #### getEntityReferences

          public EntityReferences getEntityReferences()

      Returns the entity references.
      Returns:
        the entity references, not null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getLoglevel

          public Loglevel getLoglevel()

      Returns the loglevel during generation.
      Returns:
        the loglevel during generation.

    - #### setLoglevel

          public void setLoglevel​(Loglevel loglevel)

      Set the loglevel during generation.
      Parameters:
        `loglevel` - the loglevel, not null.
      Throws:
        `NullPointerException` - if loglevel is null.